<?php
/**
 * @package Zo2Framework for Joomla! 2.5
 * @author http://www.ZooTemplate.com
 * @copyright(C) 2010- ZooTemplate.com
 * @license PHP files are GNU/GPL
**/
// No direct access
defined('_JEXEC') or die('Restricted access');

$xml 	= $this->getModel()->theme_path . DS . $this->item->theme . DS . "templateDetails.xml";
$ptheme = JURI::root() . "/templates/" . $this->item->theme;
$info 	= ZFHelper::getThemeInfo($xml);
?>
<table width="100%">
	<tr>
		<td rowspan="6" width="180" align="center">
			<img src="<?php echo $ptheme; ?>/thump.jpg">
		<td><b><?php echo strtoupper($info->name[0]->_data); ?></b></td>
	</tr>
	<tr>
		<td>
			<label><?php echo JText::_('COM_ZO2FRAMEWORK_THEME_VERSION'); ?>: </label>
			<span><?php echo $info->version[0]->_data; ?></span>
		</td>
	</tr>
	<tr>
		<td>
			<label><?php echo JText::_('COM_ZO2FRAMEWORK_THEME_CREATION_DATE'); ?>: </label>
			<span><?php echo $info->creationDate[0]->_data; ?></span>
		</td>
	</tr>
	<tr>
		<td>
			<label><?php echo JText::_('COM_ZO2FRAMEWORK_THEME_AUTHOR'); ?>: </label>
			<span><?php echo $info->author[0]->_data; ?></span>
		</td>
	</tr>
	<tr>
		<td>
			<label><?php echo JText::_('COM_ZO2FRAMEWORK_THEME_LICENSE'); ?>: </label>
			<span><?php echo $info->license[0]->_data; ?></span>
		</td>
	</tr>
	<tr>
		<td>
			<label><?php echo JText::_('COM_ZO2FRAMEWORK_THEME_AUTHOR_EMAIL'); ?>: </label>
			<span><?php echo $info->authorEmail[0]->_data; ?></span>
		</td>
	</tr>
	<tr>
		<td align="right"><label><?php echo JText::_('COM_ZO2FRAMEWORK_THEME_DESC'); ?>: </label></td>
		<td><span><?php echo $info->description[0]->_data; ?></span></td>
	</tr>
	<?php foreach($this->form->getFieldset('details') as $field): ?>
	<tr>
		<td align="right"><?php echo $field->label; ?></td>
		<td><span><?php echo $field->input; ?></span></td>
	</tr>
	<?php endforeach; ?>
</table>