DELETE FROM `#__menu` WHERE title = 'COM_ZO2FRAMEWORK_MENU';
DELETE FROM `#__menu` WHERE title = 'COM_ZO2FRAMEWORK_SUBMENU_HELP';
DELETE FROM `#__menu` WHERE title = 'COM_ZO2FRAMEWORK_SUBMENU_FRAMEWORK_CONFIG';
DELETE FROM `#__menu` WHERE title = 'COM_ZO2FRAMEWORK_SUBMENU_UPDATTES';
DELETE FROM `#__menu` WHERE title = 'COM_ZO2FRAMEWORK_SUBMENU_TEMPLATE_MANAGER';
DELETE FROM `#__menu` WHERE title = 'COM_ZO2FRAMEWORK_SUBMENU_DASHBOARD';

--
-- Table structure for table `#__zof_config`
--

CREATE TABLE IF NOT EXISTS `#__zof_config` (
  `id` int(4) NOT NULL AUTO_INCREMENT,
  `params` text NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=2 ;

--
-- Dumping data for table `#__zof_config`
--

INSERT INTO `#__zof_config` (`id`, `params`) VALUES
(1, '{"template_prefix":"zo2_,zt_","blogping_enable":"0","blogping_content":[""],"blogping_services":"http://rpc.pingomatic.com/","blogping_method":"0","cache_enable":"0","cache_folder":"_zo2cache","cache_time":"15","cache_filter":"0","optimize_html":"0","optimize_lazyload":"0","optimize_css":"0","optimize_exculdes_css":[""],"optimize_js":"0","optimize_exculdes_js":[""],"optimize_merge":"0","thumb_enable":"disable","thumb_width":"100","thumb_height":"150","thumb_articles_width":"300","thumb_articles_height":"300","thumb_quality":"95","thumb_alignment":"l","thumb_zoom":"3","google_map_api_key":"","google_map_width":"400","google_map_height":"400","google_map_zoom":"15"}');

-- --------------------------------------------------------

--
-- Table structure for table `#__zof_extensions`
--

CREATE TABLE IF NOT EXISTS `#__zof_extensions` (
  `id` int(4) NOT NULL AUTO_INCREMENT,
  `name` varchar(255) NOT NULL,
  `element` varchar(255) NOT NULL,
  `type` varchar(255) NOT NULL,
  `version` varchar(255) NOT NULL,
  `downloadurl` tinytext NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=2 ;

--
-- Dumping data for table `#__zof_extensions`
--

INSERT INTO `#__zof_extensions` (`id`, `name`, `element`, `type`, `version`, `downloadurl`) VALUES
(1, 'System - Shortcodes', 'shortcodes', 'plugin', '2.5.2', 'http://zo2.zoodemo.com/updates/plugins/plg_shortcodes_v2.5.1.zip');

-- --------------------------------------------------------

--
-- Table structure for table `#__zof_themecfg`
--

CREATE TABLE IF NOT EXISTS `#__zof_themecfg` (
  `id` int(4) NOT NULL AUTO_INCREMENT,
  `theme` varchar(255) NOT NULL,
  `home` int(4) NOT NULL DEFAULT '0',
  `params` text NOT NULL,
  `published` int(4) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=4 ;

--
-- Dumping data for table `#__zof_themecfg`
--

INSERT INTO `#__zof_themecfg` (`id`, `theme`, `home`, `params`, `published`) VALUES
(2, 'zo2_based', 0, '{"logo_type":"0","logo_image":"templates/zo2_based/images/zo2-logo-red.png","logo_text":"Flexible and Responsive Joomla Templates Framework.","enable_top_panel":"0","include_jquery":"local","header_text":"","direction":"ltr","footer_text":"","enable_copyright":"1","copyright_text":"Copyright (c) 2012. All Rights Reserved. Designed by ZooTemplate.com.","enable_framework_copyright":"0","enable_backtop":"1","font_size":"12","font_feature":"1","color_box":"1","colors_schemes":"scolors8","color_bd":"#ffffff","image_bd":"pattern0","text_bd":"#202020","link_bd":"#0E74BC","color_zt-userwrap1":"#5caddb","image_zt-userwrap1":"pattern0","mtitle_zt-userwrap1":"#ffffff","text_zt-userwrap1":"#ffffff","link_zt-userwrap1":"#0E74BC","color_zt-header":"#ffffff","image_zt-header":"pattern0","mtitle_zt-header":"#2c2c2c","text_zt-header":"#2c2c2c","link_zt-header":"#0E74BC","color_zt-mainmenu":"#ffffff","image_zt-mainmenu":"pattern0","mtitle_zt-mainmenu":"#2c2c2c","text_zt-mainmenu":"#2c2c2c","link_zt-mainmenu":"#0E74BC","color_zt-banners":"#ffffff","image_zt-banners":"pattern0","mtitle_zt-banners":"#2c2c2c","text_zt-banners":"#2c2c2c","link_zt-banners":"#262626","color_zt-mainframe":"#ffffff","image_zt-mainframe":"pattern0","mtitle_zt-mainframe":"#2c2c2c","text_zt-mainframe":"#2c2c2c","link_zt-mainframe":"#262626","color_zt-left":"#ffffff","image_zt-left":"pattern0","mtitle_zt-left":"#000000","text_zt-left":"#2c2c2c","link_zt-left":"#0E74BC","color_zt-right":"#ffffff","image_zt-right":"pattern0","mtitle_zt-right":"#000000","text_zt-right":"#2c2c2c","link_zt-right":"#0E74BC","color_zt-userwrap6":"#ffffff","image_zt-userwrap6":"pattern0","mtitle_zt-userwrap6":"#000000","text_zt-userwrap6":"#2c2c2c","link_zt-userwrap6":"#0E74BC","color_zt-userwrap7":"#ffffff","image_zt-userwrap7":"pattern0","mtitle_zt-userwrap7":"#000000","text_zt-userwrap7":"#2c2c2c","link_zt-userwrap7":"#0E74BC","color_zt-footer":"#ffffff","image_zt-footer":"pattern0","mtitle_zt-footer":"#2F2F2F","text_zt-footer":"#2c2c2c","link_zt-footer":"#0E74BC","menutype":"mainmenu","menu_mega_show_effect":"show","menu_mega_show_duration":"350","menu_mega_hide_effect":"hide","menu_mega_hide_duration":"350","enable_fancy":"0","menu_fancy_duration":"350","google_fonts":"1","font_googlefont_body":"Default","font_googlefont_menu":"Oswald","font_googlefont_heading":"Oswald"}', 1),
(3, 'zt_inga', 0, '{"logo_type":"0","logo_image":"templates/zt_inga/images/logo.png","logo_text":"Responsive Joomla Templates ZT Inga","enable_top_panel":"0","include_jquery":"local","header_text":"","direction":"ltr","footer_text":"","enable_copyright":"0","copyright_text":"Copyright (c) 2012. All Rights Reserved. Designed by ZooTemplate.com.","enable_framework_copyright":"1","enable_backtop":"1","layouts":"wide","font_size":"12","font_feature":"1","color_box":"1","colors_schemes":"scolors1","color_bd":"#fff","text_bd":"#3d3d3d","link_bd":"#1382c9","image_bd":"pattern0","color_zt-header":"#f7f7f7","image_zt-header":"pattern0","color_zt-logo-inner":"#fff","image_zt-logo-inner":"pattern0","color_zt-mainmenu":"#ffffff","mtitle_zt-mainmenu":"#333","text_zt-mainmenu":"#333","link_zt-mainmenu":"#333","image_zt-mainmenu":"pattern0","color_zt-breadcrumb":"#fff","text_zt-breadcrumb":"#3d3d3d","link_zt-breadcrumb":"#1382c9","image_zt-breadcrumb":"pattern0","color_zt-slideshow":"#fff","image_zt-slideshow":"pattern0","color_zt-mainframe-inner":"#fff","mtitle_zt-mainframe-inner":"#1382c9","text_zt-mainframe-inner":"#3d3d3d","link_zt-mainframe-inner":"#1382c9","image_zt-mainframe-inner":"pattern0","color_zt-left":"#fff","mtitle_zt-left":"#1382c9","text_zt-left":"#3d3d3d","link_zt-left":"#1382c9","image_zt-left":"pattern0","color_zt-right":"#fff","mtitle_zt-right":"#1382c9","text_zt-right":"#3d3d3d","link_zt-right":"#1382c9","image_zt-right":"pattern0","color_zt-userwrap4":"#ffffff","mtitle_zt-userwrap4":"#1382c9","text_zt-userwrap4":"#585858","link_zt-userwrap4":"#1382c9","image_zt-userwrap4":"pattern0","color_zt-position-10":"transparent","image_zt-position-10":"pattern0","color_zt-userwrap7":"#212326","mtitle_zt-userwrap7":"#1382c9","text_zt-userwrap7":"#a1a1a1","link_zt-userwrap7":"#1382c9","image_zt-userwrap7":"pattern6","color_zt-footer":"transparent","mtitle_zt-footer":"#2F2F2F","text_zt-footer":"#454545","link_zt-footer":"#1382c9","image_zt-footer":"pattern0","menutype":"mainmenu","menu_mega_show_effect":"show","menu_mega_show_duration":"350","menu_mega_hide_effect":"hide","menu_mega_hide_duration":"350","enable_fancy":"0","menu_fancy_duration":"350","google_fonts":"1","font_googlefont_body":"Default","font_googlefont_menu":"Oswald","font_googlefont_heading":"Oswald","12d04ec2223175696d63ceb17993a034":"1"}', 1);