<?php
/**
 * @package Zo2Framework for Joomla! 2.5
 * @author http://www.ZooTemplate.com
 * @copyright(C) 2010- ZooTemplate.com
 * @license PHP files are GNU/GPL
**/

// no direct access
defined('_JEXEC') or die('Restricted access');

$document->addStyleSheet($function->loadMediaFiles('colors_box.css', 'css'));

// Define group colors
$groups = array('googlefont'=>'Google Font', 'bd'=>'Body', 'zt-userwrap1'=>'Top Wrapper', 'zt-header'=>'Header Wrapper', 'zt-mainmenu'=>'Menu Wrapper', 'zt-banners'=>'Slider Wrapper',  'zt-userwrap6'=>'Inset Wrapper', 'zt-mainframe'=>'Main Wrapper',  'zt-left'=>'Left Wrapper', 'zt-right'=>'Right Wrapper',  'zt-userwrap7'=>'Bottom Wrapper', 'zt-footer'=>'Footer Wrapper');
$value  = array();

# Google Font Group
if(!$params->get('google_fonts')) unset($groups['googlefont']);

$value['googlefont']['menu'] 	= $function->getColorsValue('font', 	'googlefont_menu');
$value['googlefont']['body'] 	= $function->getColorsValue('font', 	'googlefont_body');
$value['googlefont']['heading'] = $function->getColorsValue('font', 	'googlefont_heading');
	
# Body Group
$value['bd']['color'] 	= $function->getColorsValue('color', 	'bd');
$value['bd']['text'] 	= $function->getColorsValue('text', 	'bd');
$value['bd']['link'] 	= $function->getColorsValue('link', 	'bd');
$value['bd']['image'] 	= array($function->getColorsValue('image', 'bd'), array('pattern1', 'pattern2', 
'pattern3', 'pattern4', 'pattern5', 'pattern6', 'pattern7', 'pattern8', 'pattern9', 
'pattern10', 'pattern11', 'pattern12', 'pattern13', 'pattern14', 'pattern15', 'pattern16'));

# Top Wrapper
$value['zt-userwrap1']['color'] 	= $function->getColorsValue('color', 	'zt-userwrap1');
$value['zt-userwrap1']['mtitle'] 	= $function->getColorsValue('mtitle', 	'zt-userwrap1');
$value['zt-userwrap1']['text'] 		= $function->getColorsValue('text', 	'zt-userwrap1');
$value['zt-userwrap1']['link'] 		= $function->getColorsValue('link', 	'zt-userwrap1');
$value['zt-userwrap1']['image'] 	= array($function->getColorsValue('image', 'zt-userwrap1'), array('pattern1', 'pattern2', 
'pattern3', 'pattern4', 'pattern5', 'pattern6', 'pattern7', 'pattern8', 'pattern9', 
'pattern10', 'pattern11', 'pattern12', 'pattern13', 'pattern14', 'pattern15', 'pattern16'));

# Header Wrapper
$value['zt-header']['color'] 	= $function->getColorsValue('color', 	'zt-header');
$value['zt-header']['mtitle'] 	= $function->getColorsValue('mtitle', 	'zt-header');
$value['zt-header']['text'] 	= $function->getColorsValue('text', 	'zt-header');
$value['zt-header']['link'] 	= $function->getColorsValue('link', 	'zt-header');
$value['zt-header']['image'] 	= array($function->getColorsValue('image', 'zt-header'), array('pattern1', 'pattern2', 
'pattern3', 'pattern4', 'pattern5', 'pattern6', 'pattern7', 'pattern8', 'pattern9', 
'pattern10', 'pattern11', 'pattern12', 'pattern13', 'pattern14', 'pattern15', 'pattern16'));

# Menu Wrapper
$value['zt-mainmenu']['color'] 	= $function->getColorsValue('color', 	'zt-mainmenu');
$value['zt-mainmenu']['mtitle'] = $function->getColorsValue('mtitle', 	'zt-mainmenu');
$value['zt-mainmenu']['text'] 	= $function->getColorsValue('text', 	'zt-mainmenu');
$value['zt-mainmenu']['link'] 	= $function->getColorsValue('link', 	'zt-mainmenu');
$value['zt-mainmenu']['image'] 	= array($function->getColorsValue('image', 'zt-mainmenu'), array('pattern1', 'pattern2', 
'pattern3', 'pattern4', 'pattern5', 'pattern6', 'pattern7', 'pattern8', 'pattern9', 
'pattern10', 'pattern11', 'pattern12', 'pattern13', 'pattern14', 'pattern15', 'pattern16'));

# Slider Wrapper
$value['zt-banners']['color'] 	= $function->getColorsValue('color', 	'zt-banners');
$value['zt-banners']['mtitle'] 	= $function->getColorsValue('mtitle', 	'zt-banners');
$value['zt-banners']['text'] 		= $function->getColorsValue('text', 	'zt-banners');
$value['zt-banners']['link'] 		= $function->getColorsValue('link', 	'zt-banners');
$value['zt-banners']['image'] 	= array($function->getColorsValue('image', 'zt-banners'), array('pattern1', 'pattern2', 
'pattern3', 'pattern4', 'pattern5', 'pattern6', 'pattern7', 'pattern8', 'pattern9', 
'pattern10', 'pattern11', 'pattern12', 'pattern13', 'pattern14', 'pattern15', 'pattern16'));

# Main Wrapper
$value['zt-mainframe']['color'] 	= $function->getColorsValue('color', 	'zt-mainframe');
$value['zt-mainframe']['mtitle'] 	= $function->getColorsValue('mtitle', 	'zt-mainframe');
$value['zt-mainframe']['text'] 		= $function->getColorsValue('text', 	'zt-mainframe');
$value['zt-mainframe']['link'] 		= $function->getColorsValue('link', 	'zt-mainframe');
$value['zt-mainframe']['image'] 	= array($function->getColorsValue('image', 'zt-mainframe'), array('pattern1', 'pattern2', 
'pattern3', 'pattern4', 'pattern5', 'pattern6', 'pattern7', 'pattern8', 'pattern9', 
'pattern10', 'pattern11', 'pattern12', 'pattern13', 'pattern14', 'pattern15', 'pattern16'));

# Right Wrapper
$value['zt-right']['color'] 	= $function->getColorsValue('color', 	'zt-right');
$value['zt-right']['mtitle'] 	= $function->getColorsValue('mtitle', 	'zt-right');
$value['zt-right']['text'] 		= $function->getColorsValue('text', 	'zt-right');
$value['zt-right']['link'] 		= $function->getColorsValue('link', 	'zt-right');
$value['zt-right']['image'] 	= array($function->getColorsValue('image', 'zt-right'), array('pattern1', 'pattern2', 
'pattern3', 'pattern4', 'pattern5', 'pattern6', 'pattern7', 'pattern8', 'pattern9', 
'pattern10', 'pattern11', 'pattern12', 'pattern13', 'pattern14', 'pattern15', 'pattern16'));

# Left Wrapper
$value['zt-left']['color'] 	= $function->getColorsValue('color', 	'zt-left');
$value['zt-left']['mtitle'] 	= $function->getColorsValue('mtitle', 	'zt-left');
$value['zt-left']['text'] 		= $function->getColorsValue('text', 	'zt-left');
$value['zt-left']['link'] 		= $function->getColorsValue('link', 	'zt-left');
$value['zt-left']['image'] 	= array($function->getColorsValue('image', 'zt-left'), array('pattern1', 'pattern2', 
'pattern3', 'pattern4', 'pattern5', 'pattern6', 'pattern7', 'pattern8', 'pattern9', 
'pattern10', 'pattern11', 'pattern12', 'pattern13', 'pattern14', 'pattern15', 'pattern16'));

# Slider Wrapper
$value['zt-userwrap6']['color'] 	= $function->getColorsValue('color', 	'zt-userwrap6');
$value['zt-userwrap6']['mtitle'] 	= $function->getColorsValue('mtitle', 	'zt-userwrap6');
$value['zt-userwrap6']['text'] 		= $function->getColorsValue('text', 	'zt-userwrap6');
$value['zt-userwrap6']['link'] 		= $function->getColorsValue('link', 	'zt-userwrap6');
$value['zt-userwrap6']['image'] 	= array($function->getColorsValue('image', 'zt-userwrap6'), array('pattern1', 'pattern2', 
'pattern3', 'pattern4', 'pattern5', 'pattern6', 'pattern7', 'pattern8', 'pattern9', 
'pattern10', 'pattern11', 'pattern12', 'pattern13', 'pattern14', 'pattern15', 'pattern16'));

# Bottom Wrapper
$value['zt-userwrap7']['color'] 	= $function->getColorsValue('color', 	'zt-userwrap7');
$value['zt-userwrap7']['mtitle'] 	= $function->getColorsValue('mtitle', 	'zt-userwrap7');
$value['zt-userwrap7']['text'] 		= $function->getColorsValue('text', 	'zt-userwrap7');
$value['zt-userwrap7']['link'] 		= $function->getColorsValue('link', 	'zt-userwrap7');
$value['zt-userwrap7']['image'] 	= array($function->getColorsValue('image', 'zt-userwrap7'), array('pattern1', 'pattern2', 
'pattern3', 'pattern4', 'pattern5', 'pattern6', 'pattern7', 'pattern8', 'pattern9', 
'pattern10', 'pattern11', 'pattern12', 'pattern13', 'pattern14', 'pattern15', 'pattern16'));

# Footer Wrapper
$value['zt-footer']['color'] 	= $function->getColorsValue('color', 	'zt-footer');
$value['zt-footer']['mtitle'] 	= $function->getColorsValue('mtitle', 	'zt-footer');
$value['zt-footer']['text'] 	= $function->getColorsValue('text', 	'zt-footer');
$value['zt-footer']['link'] 	= $function->getColorsValue('link', 	'zt-footer');
$value['zt-footer']['image'] 	= array($function->getColorsValue('image', 'zt-footer'), array('pattern1', 'pattern2', 
'pattern3', 'pattern4', 'pattern5', 'pattern6', 'pattern7', 'pattern8', 'pattern9', 
'pattern10', 'pattern11', 'pattern12', 'pattern13', 'pattern14', 'pattern15', 'pattern16'));

// Add dynamic style
$style = '
#bd {
	color: '.$function->getColorsValue('text', 'bd').';
	background-color: '.$function->getColorsValue('color', 'bd').';
}
#bd a {
	color: '.$function->getColorsValue('link', 'bd').';
}
div#zt-userwrap1 {
	color: '.$function->getColorsValue('text', 'zt-userwrap1').';
	background-color: '.$function->getColorsValue('color', 'zt-userwrap1').';
}
div#zt-userwrap1 a {
	color: '.$function->getColorsValue('link', 'zt-userwrap1').';
}
div#zt-userwrap1 h3.moduletitle {
	color: '.$function->getColorsValue('mtitle', 'zt-userwrap1').';
}
div#zt-header {
	color: '.$function->getColorsValue('text', 'zt-header').';
	background-color: '.$function->getColorsValue('color', 'zt-header').';
}
div#zt-header a {
	color: '.$function->getColorsValue('link', 'zt-header').';
}
div#zt-header h3.moduletitle {
	color: '.$function->getColorsValue('mtitle', 'zt-header').';
}
div#zt-mainmenu {
	color: '.$function->getColorsValue('text', 'zt-mainmenu').';
	background-color: '.$function->getColorsValue('color', 'zt-mainmenu').';
}
div#zt-mainmenu a {
	color: '.$function->getColorsValue('link', 'zt-mainmenu').';
}
div#zt-mainmenu h3.moduletitle {
	color: '.$function->getColorsValue('mtitle', 'zt-mainmenu').';
}
div#zt-banners {
	color: '.$function->getColorsValue('text', 'zt-banners').';
	background-color: '.$function->getColorsValue('color', 'zt-banners').';
}
div#zt-banners a {
	color: '.$function->getColorsValue('link', 'zt-banners').';
}
div#zt-banners h3.moduletitle {
	color: '.$function->getColorsValue('mtitle', 'zt-banners').';
}
div#zt-mainframe {
	color: '.$function->getColorsValue('text', 'zt-mainframe').';
	background-color: '.$function->getColorsValue('color', 'zt-mainframe').';
}
div#zt-mainframe a {
	color: '.$function->getColorsValue('link', 'zt-mainframe').';
}
div#zt-mainframe h3.moduletitle {
	color: '.$function->getColorsValue('mtitle', 'zt-mainframe').';
}
div#zt-left {
	color: '.$function->getColorsValue('text', 'zt-left').';
	background-color: '.$function->getColorsValue('color', 'zt-left').';
}
div#zt-left a {
	color: '.$function->getColorsValue('link', 'zt-left').';
}
div#zt-left h3.moduletitle {
	color: '.$function->getColorsValue('mtitle', 'zt-left').';
}
div#zt-right {
	color: '.$function->getColorsValue('text', 'zt-right').';
	background-color: '.$function->getColorsValue('color', 'zt-right').';
}
div#zt-right a {
	color: '.$function->getColorsValue('link', 'zt-right').';
}
div#zt-right h3.moduletitle {
	color: '.$function->getColorsValue('mtitle', 'zt-right').';
}
div#zt-userwrap2 {
	color: '.$function->getColorsValue('text', 'zt-userwrap2').';
	background-color: '.$function->getColorsValue('color', 'zt-userwrap2').';
}
div#zt-userwrap2 a {
	color: '.$function->getColorsValue('link', 'zt-userwrap2').';
}
div#zt-userwrap2 h3.moduletitle {
	color: '.$function->getColorsValue('mtitle', 'zt-userwrap2').';
}
div#zt-userwrap6 {
	color: '.$function->getColorsValue('text', 'zt-userwrap6').';
	background-color: '.$function->getColorsValue('color', 'zt-userwrap6').';
}
div#zt-userwrap6 a {
	color: '.$function->getColorsValue('link', 'zt-userwrap6').';
}
div#zt-userwrap6 h3.moduletitle {
	color: '.$function->getColorsValue('mtitle', 'zt-userwrap6').';
}
div#zt-userwrap7 {
	color: '.$function->getColorsValue('text', 'zt-userwrap7').';
	background-color: '.$function->getColorsValue('color', 'zt-userwrap7').';
}
div#zt-userwrap7 a {
	color: '.$function->getColorsValue('link', 'zt-userwrap7').';
}
div#zt-userwrap7 h3.moduletitle {
	color: '.$function->getColorsValue('mtitle', 'zt-userwrap7').';
}
div#zt-footer {
	color: '.$function->getColorsValue('text', 'zt-footer').';
	background-color: '.$function->getColorsValue('color', 'zt-footer').';
}
div#zt-footer a {
	color: '.$function->getColorsValue('link', 'zt-footer').';
}
div#zt-footer h3.moduletitle {
	color: '.$function->getColorsValue('mtitle', 'zt-footer').';
}
';
$document->addStyleDeclaration($style);
$temp_js = "";

$cookies = array();

// Render colors schemes
$scolors = $function->getColorsSchemes(ZO2_TPL_SCOLORS_PATH_ROOT);
if(count($scolors)) {
	// Add stylesheet of schemes color
	$document->addStyleSheet(ZO2_TPL_SCOLORS_PATH_BASE . $function->getColorsValue('colors', 'schemes') . ".css");
	$cookies[] = $prefix . 'colors_schemes';
}

if($params->get('color_box')) :
?>
<div id="option_wrapper">
	<div class="inner">
		<div class="shead clearfix"><h5>Zo2 Framework Settings</h5></div>
		<div class="inner2 clearfix">	
			<?php
				if(count($scolors)) {
					include($function->loadPHPFile('_scolors.php'));
				}
			
				$temp_js .= "\$ZO2(document).ready(function() {";
				// Render group colors
				echo JHTML::_('sliders.start', 'color-box', array('useCookie'=>'1'));
				foreach($groups as $key => $val)
				{
					echo JHTML::_('sliders.panel', $val, 'cpanel-panel-' . $key);
					foreach($value[$key] as $k => $v)
					{
						
						$cookies[] = $prefix . $k . '_' . $key;
						switch($k)
						{
							case "color":
								include($function->loadPHPFile('_color.php'));
							break;
							case "image":
								include($function->loadPHPFile('_images.php'));
							break;
							case "link":
								include($function->loadPHPFile('_link.php'));
							break;
							case "text":
								include($function->loadPHPFile('_text.php'));
							break;
							case "mtitle":
								include($function->loadPHPFile('_mtitle.php'));
							break;
						}
						
						# Google Font Block
						if($key == 'googlefont') {
							include($function->loadPHPFile('_font.php'));
						}
					}
				}				
				echo JHTML::_('sliders.end');
				$temp_js .= "});";	
			?>
		</div>
		<div class="rb-items-botton clearfix">
			<input type="button" onclick="javascript: onResetDefault(['<?php echo implode($cookies, '\',\'');?>']);" value="Reset" class="rb-reset"  />
		</div>
		<!--<a id="option_btn_close">X</a>-->
	</div>
</div>
<div id="option_btn" style="left:0;"><span>&nbsp;</span></div>
<?php
$temp_js .= "\$ZO2.fn.mColorPicker.defaults.imageFolder = '".JURI::base()."media/com_zo2framework/images/mpicker/';
function onChange(id, val) {
	\$ZO2('#' + id).addClass(val);
	\$ZO2.cookies.set(id + '_class',val);
}
function onResetDefault(cclass) {
	\$ZO2.each(cclass, function(index, item) {
		\$ZO2.cookies.set(item, '', { expires: -1 });
	});
	window.location.reload(true);
}
\$ZO2(document).ready(function() {
	var i = 0;
	\$ZO2('#option_btn').click(function() {
		if(i%2 == 0) {
			\$ZO2('#option_wrapper').animate({left: 0}, 'slow');
			\$ZO2('#option_btn').animate({left: 350}, 'slow');
			\$ZO2('#option_btn').addClass('rb-actived');
			\$ZO2('#option_btn').removeClass('rb-normal');
		}
		else {
			\$ZO2('#option_wrapper').animate({left: -355}, 'nomal');
			\$ZO2('#option_btn').animate({left: 0}, 'nomal');
			\$ZO2('#option_btn').addClass('rb-normal');
			\$ZO2('#option_btn').removeClass('rb-actived');
		}
		i++;
	});	
});";
$document->addScriptDeclaration($temp_js);
endif;
?>