<?php 
/**
 * @package ZT News Module for Joomla! 2.5.x
 * @author http://www.ZooTemplate.com
 * @copyright (C) 2011- ZooTemplate.com
 * @license JS files are GNU/GPL
**/

// no direct access
defined('_JEXEC') or die('Restricted access');
JHTML::_('stylesheet', 'zt_news.css', 'templates/zt_inga/css/'); 
$columns   = ($params->get('columns', 2) > count($listCategories)) ? count($listCategories) : $params->get('columns', 2); 
$lead 	   = (int)$params->get('no_intro_items',1); 
$thumbmainwidth 	= $params->get('thumb_main_width');
$thumbmainheight 	= $params->get('thumb_main_height');
$thumblistwidth 	= $params->get('thumb_list_width');
$thumblistheight 	= $params->get('thumb_list_height');
$created = $params->get('show_date');
$showtitle = $params->get('show_title');
$showintro = $params->get('show_intro');
$showimglist = $params->get('is_image_list');
$showsubcat = $params->get('is_subcat');
switch($columns)
{
	case '1':
		$width = '100';
		break;
	case '2':
		$width = '49';
		break;
	case '3':
		$width = '32.9';
		break;
	case '4':
		$width = '24.5';
		break;
	case '5':
		$width = '19.5';
		break;
	default:
		$width = '49';
} 
?>
<div class="zt_news_wrap"> 
	<div class="zt-frame-cat">
		<?php for($i = 0; $i < count($listCategories); $i++) { ?>
		<?php $catids = $listCategories[$i];?>
		<div class="zt-category" style="width: <?php echo $width; ?>%">
			<!--Title Block-->
			<!--Lead block-->
			<?php
				
				if( $lead == 1 ){
					$mainitem = 'mainitem1';	
					$articleitem = 'article-item1';	
				}elseif( $lead == 2 ){						
					$mainitem = 'mainitem2';	
					$articleitem = 'article-item2 clearfix';
				}elseif( $lead == 3 ){						
					$mainitem = 'mainitem3';	
					$articleitem = 'article-item3 clearfix';
				}else{
					$mainitem = 'mainitem';	
					$articleitem = 'article-item';		
				}
			?>
			<div class="news_lead">
				<div class="<?php echo $mainitem; ?>">
					<?php 
					$listItems = $ztNews->getItemsByCatId($catids[$i]);
					$lead	   = (count($listItems) <= $lead) ? count($listItems) : $lead;
					for($j = 0; $j < $lead; $j++) : ?>
						<div class="zt-article-item <?php echo 'col'.$j; ?>">
							<?php if($created){?>
							<span class="created"><?php echo $listItems[$j]->created; ?> - <?php echo $listItems[$j]->hits; echo JText::_(' Views');?></span>
							<?php }?>
							<?php if($listItems[$j]->thumb != '' && $params->get('is_image',1) == 1) { ?>
							<a href="<?php echo $listItems[$j]->link; ?>" title="<?php echo $listItems[$j]->title; ?>">
								<img src="<?php echo JURI::root().'modules/mod_zt_news/timthumb.php?src='.$listItems[$j]->thumb.'&amp;h='.$thumbmainheight.'&amp;w='.$thumbmainwidth; ?>" alt="<?php echo $listItems[$j]->title; ?>" 
								title="<?php echo $listItems[$j]->title; ?>"/>
							</a> 
							<?php } ?>
							<div class="news-caption">
								<?php if($showtitle){?>
								<h3>
									<a href="<?php echo $listItems[$j]->link; ?>" title="<?php echo $listItems[$j]->title; ?>">
										<?php echo $listItems[$j]->title; ?>
									</a>
								</h3>
								<?php }?>
								<?php if($showintro){?>
								<?php if($listItems[$j]->introtext != false) { ?>
								<p class="zt-introtext"><?php echo ($listItems[$j]->introtext); ?></p>
								<?php } ?>
								<?php } ?> 
								<?php if($params->get('show_readmore') == 1) { ?>
								<p class="zt-news-readmore">
									<a class="readmore" href="<?php echo $listItems[$j]->link; ?>"><?php echo JTEXT::_('READ MORE'); ?></a>
								</p>
								<?php } ?>
							</div>
						</div>
					<?php endfor; ?>
				</div> 		
				<?php if($lead < count($listItems)) { ?> 
				<div class="<?php echo $articleitem; ?>">
					<?php for($j = $lead; $j < count($listItems); $j++) { ?>
						<div class="more_item <?php if($j==$lead){ echo 'first-item'; }elseif($j==(count($listItems)-1)){echo 'last-item';}?>">
							<?php if($showimglist){?>
							<a class="linkimg" href="<?php echo $listItems[$j]->link; ?>">
								<img src="<?php echo JURI::root().'modules/mod_zt_news/timthumb.php?src='.$listItems[$j]->thumb.'&amp;h='.$thumblistheight.'&amp;w='.$thumblistwidth; ?>" alt="<?php echo $listItems[$j]->title; ?>" 
								title="<?php echo $listItems[$j]->title; ?>"/>
							</a>
							<?php }?>
							<div class="more_item_thumb">
								<a href="<?php echo $listItems[$j]->link; ?>"><?php echo substr($listItems[$j]->introtext,0,100); ?></a>
								<?php if($created){?>
								<p class="more-item-datetime"><?php echo $listItems[$j]->created; ?> - <?php echo $listItems[$j]->hits; echo JText::_(' Views');?></p>
								<?php } ?>
							</div>
						</div>
					<?php } ?>
				</div>
				<?php } ?>
			</div>
		</div>
		<?php } ?>
	</div>   
	<div class="clearfix"></div>
</div>