<?php
/**
 * @package Zo2Framework for Joomla! 2.5
 * @author http://www.ZooTemplate.com
 * @copyright(C) 2010- ZooTemplate.com
 * @license PHP files are GNU/GPL
**/

// no direct access
defined('_JEXEC') or die('Restricted access');

$document->addStyleSheet($function->loadMediaFiles('colors_box.css', 'css'));

// Define group colors
$groups = array('googlefont'=>'Google Font', 'bd'=>'Body', 'zt-header'=>'Top Header', 'zt-logo-inner'=>'Logo Wrapper', 'zt-mainmenu'=>'Main Menu', 'zt-breadcrumb'=>'Breadcrumb', 'zt-slideshow'=>'Slideshow', 'zt-mainframe-inner'=>'Main Wrapper', 'zt-left'=>'Left Wrapper', 'zt-right'=>'Right Wrapper', 'zt-userwrap4'=>'Inset Wrapper', 'zt-position-10'=>'Testimonial Wrapper', 'zt-userwrap7'=>'Bottom Wrapper', 'zt-footer'=>'Footer Wrapper');
$value  = array();

# Google Font Group
if(!$params->get('google_fonts')) unset($groups['googlefont']);

$value['googlefont']['menu'] 	= $function->getColorsValue('font', 	'googlefont_menu');
$value['googlefont']['body'] 	= $function->getColorsValue('font', 	'googlefont_body');
$value['googlefont']['heading'] = $function->getColorsValue('font', 	'googlefont_heading');
	
# Body Group
$value['bd']['color'] 	= $function->getColorsValue('color', 	'bd');
$value['bd']['text'] 	= $function->getColorsValue('text', 	'bd');
$value['bd']['link'] 	= $function->getColorsValue('link', 	'bd');
$value['bd']['image'] 	= array($function->getColorsValue('image', 'bd'), array('pattern1', 'pattern2', 
'pattern3', 'pattern4', 'pattern5', 'pattern6', 'pattern7', 'pattern8', 'pattern9', 
'pattern10', 'pattern11', 'pattern12', 'pattern13', 'pattern14', 'pattern15', 'pattern16'));

# Top Header
$value['zt-header']['color'] 	= $function->getColorsValue('color','zt-header');
$value['zt-header']['image'] 	= array($function->getColorsValue('image', 'zt-header'), array('pattern1', 'pattern2', 
'pattern3', 'pattern4', 'pattern5', 'pattern6', 'pattern7', 'pattern8', 'pattern9', 
'pattern10', 'pattern11', 'pattern12', 'pattern13', 'pattern14', 'pattern15', 'pattern16'));

# Logo Wrapper
$value['zt-logo-inner']['color'] 	= $function->getColorsValue('color','zt-logo-inner');
$value['zt-logo-inner']['image'] 	= array($function->getColorsValue('image', 'zt-logo-inner'), array('pattern1', 'pattern2', 
'pattern3', 'pattern4', 'pattern5', 'pattern6', 'pattern7', 'pattern8', 'pattern9', 
'pattern10', 'pattern11', 'pattern12', 'pattern13', 'pattern14', 'pattern15', 'pattern16'));

# Main Menu
$value['zt-mainmenu']['color'] 	= $function->getColorsValue('color', 	'zt-mainmenu');
$value['zt-mainmenu']['mtitle'] 	= $function->getColorsValue('mtitle', 	'zt-mainmenu');
$value['zt-mainmenu']['text'] 		= $function->getColorsValue('text', 	'zt-mainmenu');
$value['zt-mainmenu']['link'] 		= $function->getColorsValue('link', 	'zt-mainmenu');
$value['zt-mainmenu']['image'] 	= array($function->getColorsValue('image', 'zt-mainmenu'), array('pattern1', 'pattern2', 
'pattern3', 'pattern4', 'pattern5', 'pattern6', 'pattern7', 'pattern8', 'pattern9', 
'pattern10', 'pattern11', 'pattern12', 'pattern13', 'pattern14', 'pattern15', 'pattern16'));

# Breadcrumb
$value['zt-breadcrumb']['color'] 	= $function->getColorsValue('color', 	'zt-breadcrumb');
$value['zt-breadcrumb']['text'] 		= $function->getColorsValue('text', 	'zt-breadcrumb');
$value['zt-breadcrumb']['link'] 		= $function->getColorsValue('link', 	'zt-breadcrumb');
$value['zt-breadcrumb']['image'] 	= array($function->getColorsValue('image', 'zt-breadcrumb'), array('pattern1', 'pattern2', 
'pattern3', 'pattern4', 'pattern5', 'pattern6', 'pattern7', 'pattern8', 'pattern9', 
'pattern10', 'pattern11', 'pattern12', 'pattern13', 'pattern14', 'pattern15', 'pattern16'));

# Slideshow
$value['zt-slideshow']['color'] 	= $function->getColorsValue('color', 	'zt-slideshow');
$value['zt-slideshow']['image'] 	= array($function->getColorsValue('image', 'zt-slideshow'), array('pattern1', 'pattern2', 
'pattern3', 'pattern4', 'pattern5', 'pattern6', 'pattern7', 'pattern8', 'pattern9', 
'pattern10', 'pattern11', 'pattern12', 'pattern13', 'pattern14', 'pattern15', 'pattern16'));

# Main Wrapper
$value['zt-mainframe-inner']['color'] 	= $function->getColorsValue('color', 	'zt-mainframe-inner');
$value['zt-mainframe-inner']['mtitle'] 	= $function->getColorsValue('mtitle', 	'zt-mainframe-inner');
$value['zt-mainframe-inner']['text'] 		= $function->getColorsValue('text', 	'zt-mainframe-inner');
$value['zt-mainframe-inner']['link'] 		= $function->getColorsValue('link', 	'zt-mainframe-inner');
$value['zt-mainframe-inner']['image'] 	= array($function->getColorsValue('image', 'zt-mainframe-inner'), array('pattern1', 'pattern2', 
'pattern3', 'pattern4', 'pattern5', 'pattern6', 'pattern7', 'pattern8', 'pattern9', 
'pattern10', 'pattern11', 'pattern12', 'pattern13', 'pattern14', 'pattern15', 'pattern16'));

# Left Wrapper
$value['zt-left']['color'] 	= $function->getColorsValue('color', 	'zt-left');
$value['zt-left']['mtitle'] 	= $function->getColorsValue('mtitle', 	'zt-left');
$value['zt-left']['text'] 		= $function->getColorsValue('text', 	'zt-left');
$value['zt-left']['link'] 		= $function->getColorsValue('link', 	'zt-left');
$value['zt-left']['image'] 	= array($function->getColorsValue('image', 'zt-left'), array('pattern1', 'pattern2', 
'pattern3', 'pattern4', 'pattern5', 'pattern6', 'pattern7', 'pattern8', 'pattern9', 
'pattern10', 'pattern11', 'pattern12', 'pattern13', 'pattern14', 'pattern15', 'pattern16'));

# Right Wrapper
$value['zt-right']['color'] 	= $function->getColorsValue('color', 	'zt-right');
$value['zt-right']['mtitle'] 	= $function->getColorsValue('mtitle', 	'zt-right');
$value['zt-right']['text'] 		= $function->getColorsValue('text', 	'zt-right');
$value['zt-right']['link'] 		= $function->getColorsValue('link', 	'zt-right');
$value['zt-right']['image'] 	= array($function->getColorsValue('image', 'zt-right'), array('pattern1', 'pattern2', 
'pattern3', 'pattern4', 'pattern5', 'pattern6', 'pattern7', 'pattern8', 'pattern9', 
'pattern10', 'pattern11', 'pattern12', 'pattern13', 'pattern14', 'pattern15', 'pattern16'));

# Inset Wrapper
$value['zt-userwrap4']['color'] 	= $function->getColorsValue('color', 	'zt-userwrap4');
$value['zt-userwrap4']['mtitle'] 	= $function->getColorsValue('mtitle', 	'zt-userwrap4');
$value['zt-userwrap4']['text'] 		= $function->getColorsValue('text', 	'zt-userwrap4');
$value['zt-userwrap4']['link'] 		= $function->getColorsValue('link', 	'zt-userwrap4');
$value['zt-userwrap4']['image'] 	= array($function->getColorsValue('image', 'zt-userwrap7-inner'), array('pattern1', 'pattern2', 
'pattern3', 'pattern4', 'pattern5', 'pattern6', 'pattern7', 'pattern8', 'pattern9', 
'pattern10', 'pattern11', 'pattern12', 'pattern13', 'pattern14', 'pattern15', 'pattern16'));

# Testimonial Wrapper
$value['zt-position-10']['color'] 	= $function->getColorsValue('color','zt-position-10');
$value['zt-position-10']['image'] 	= array($function->getColorsValue('image', 'zt-position-10'), array('pattern1', 'pattern2', 
'pattern3', 'pattern4', 'pattern5', 'pattern6', 'pattern7', 'pattern8', 'pattern9', 
'pattern10', 'pattern11', 'pattern12', 'pattern13', 'pattern14', 'pattern15', 'pattern16'));

# Bottom Wrapper
$value['zt-userwrap7']['color'] 	= $function->getColorsValue('color', 	'zt-userwrap7');
$value['zt-userwrap7']['mtitle'] 	= $function->getColorsValue('mtitle', 	'zt-userwrap7');
$value['zt-userwrap7']['text'] 		= $function->getColorsValue('text', 	'zt-userwrap7');
$value['zt-userwrap7']['link'] 		= $function->getColorsValue('link', 	'zt-userwrap7');
$value['zt-userwrap7']['image'] 	= array($function->getColorsValue('image', 'zt-userwrap7'), array('pattern1', 'pattern2', 
'pattern3', 'pattern4', 'pattern5', 'pattern6', 'pattern7', 'pattern8', 'pattern9', 
'pattern10', 'pattern11', 'pattern12', 'pattern13', 'pattern14', 'pattern15', 'pattern16'));

# Footer Wrapper
$value['zt-footer']['color'] 	= $function->getColorsValue('color', 	'zt-footer');
$value['zt-footer']['mtitle'] 	= $function->getColorsValue('mtitle', 	'zt-footer');
$value['zt-footer']['text'] 		= $function->getColorsValue('text', 	'zt-footer');
$value['zt-footer']['link'] 		= $function->getColorsValue('link', 	'zt-footer');
$value['zt-footer']['image'] 	= array($function->getColorsValue('image', 'zt-footer'), array('pattern1', 'pattern2', 
'pattern3', 'pattern4', 'pattern5', 'pattern6', 'pattern7', 'pattern8', 'pattern9', 
'pattern10', 'pattern11', 'pattern12', 'pattern13', 'pattern14', 'pattern15', 'pattern16'));

// Add dynamic style
$style = '
#bd {
	color: '.$function->getColorsValue('text', 'bd').';
	background-color: '.$function->getColorsValue('color', 'bd').';
}
#bd a {
	color: '.$function->getColorsValue('link', 'bd').';
}


div#zt-header {
	color: '.$function->getColorsValue('text', 'zt-header').';
	background-color: '.$function->getColorsValue('color', 'zt-header').';
}


div#zt-logo-inner {
	color: '.$function->getColorsValue('text', 'zt-logo-inner').';
	background-color: '.$function->getColorsValue('color', 'zt-logo-inner').';
}


div#zt-mainmenu {
	color: '.$function->getColorsValue('text', 'zt-mainmenu').';
	background-color: '.$function->getColorsValue('color', 'zt-mainmenu').';
}

div#zt-breadcrumb {
	color: '.$function->getColorsValue('text', 'zt-breadcrumb').';
	background-color: '.$function->getColorsValue('color', 'zt-breadcrumb').';
}
div#zt-breadcrumb a {
	color: '.$function->getColorsValue('link', 'zt-breadcrumb').';
}


div#zt-slideshow {
	color: '.$function->getColorsValue('text', 'zt-slideshow').';
	background-color: '.$function->getColorsValue('color', 'zt-slideshow').';
}

div#zt-mainframe-inner {
	color: '.$function->getColorsValue('text', 'zt-mainframe-inner').';
	background-color: '.$function->getColorsValue('color', 'zt-mainframe-inner').';
}
div#zt-mainframe-inner a {
	color: '.$function->getColorsValue('link', 'zt-mainframe-inner').';
}
div#zt-mainframe-inner h3.moduletitle {
	color: '.$function->getColorsValue('mtitle', 'zt-mainframe-inner').';
}


div#zt-left {
	color: '.$function->getColorsValue('text', 'zt-left').';
	background-color: '.$function->getColorsValue('color', 'zt-left').';
}
div#zt-left a {
	color: '.$function->getColorsValue('link', 'zt-left').';
}
div#zt-left h3.moduletitle {
	color: '.$function->getColorsValue('mtitle', 'zt-left').';
}

div#zt-right {
	color: '.$function->getColorsValue('text', 'zt-right').';
	background-color: '.$function->getColorsValue('color', 'zt-right').';
}
div#zt-right a {
	color: '.$function->getColorsValue('link', 'zt-right').';
}
div#zt-right h3.moduletitle {
	color: '.$function->getColorsValue('mtitle', 'zt-right').';
}


div#zt-userwrap4 {
	color: '.$function->getColorsValue('text', 'zt-userwrap4').';
	background-color: '.$function->getColorsValue('color', 'zt-userwrap4').';
}
div#zt-userwrap4 a {
	color: '.$function->getColorsValue('link', 'zt-userwrap4').';
}
div#zt-userwrap4 h3.moduletitle {
	color: '.$function->getColorsValue('mtitle', 'zt-userwrap4').';
}
div#zt-position-10 {
	color: '.$function->getColorsValue('text', 'zt-position-10').';
	background-color: '.$function->getColorsValue('color', 'zt-position-10').';
}

div#zt-userwrap7 {
	color: '.$function->getColorsValue('text', 'zt-userwrap7').';
	background-color: '.$function->getColorsValue('color', 'zt-userwrap7').';
}
div#zt-userwrap7 a {
	color: '.$function->getColorsValue('link', 'zt-userwrap7').';
}
div#zt-userwrap7 h3.moduletitle {
	color: '.$function->getColorsValue('mtitle', 'zt-userwrap7').';
}

div#zt-footer {
	color: '.$function->getColorsValue('text', 'zt-footer').';
	background-color: '.$function->getColorsValue('color', 'zt-footer').';
}
div#zt-footer a {
	color: '.$function->getColorsValue('link', 'zt-footer').';
}
div#zt-footer h3.moduletitle {
	color: '.$function->getColorsValue('mtitle', 'zt-footer').';
}
';
$document->addStyleDeclaration($style);
$temp_js = "";
$cookies = array();

// Render colors schemes
$scolors = $function->getColorsSchemes(ZO2_TPL_SCOLORS_PATH_ROOT);
if(count($scolors)) {
	// Add stylesheet of schemes color					
	$document->addStyleSheet(ZO2_TPL_SCOLORS_PATH_BASE . $function->getColorsValue('colors', 'schemes') . ".css");
	$cookies[] = $prefix . 'colors_schemes';
}
if($params->get('color_box')) :
?>
<div id="option_wrapper">
	<div class="inner">
		<div class="shead clearfix"><h5>Zo2 Framework Settings</h5></div>
		<div class="inner2 clearfix">	
			<?php
				if(count($scolors)) {
					include($function->loadPHPFile('_scolors.php'));
				}

				$temp_js .= "\$ZO2(document).ready(function() {";
				// Render group colors
				echo JHTML::_('sliders.start', 'color-box', array('useCookie'=>'1'));
				foreach($groups as $key => $val)
				{
					echo JHTML::_('sliders.panel', $val, 'cpanel-panel-' . $key);
					foreach($value[$key] as $k => $v)
					{
						
						$cookies[] = $prefix . $k . '_' . $key;
						switch($k)
						{
							case "color":
								include($function->loadPHPFile('_color.php'));
							break;
							case "image":
								include($function->loadPHPFile('_images.php'));
							break;
							case "link":
								include($function->loadPHPFile('_link.php'));
							break;
							case "text":
								include($function->loadPHPFile('_text.php'));
							break;
							case "mtitle":
								include($function->loadPHPFile('_mtitle.php'));
							break;
						}
						
						# Google Font Block
						if($key == 'googlefont') {
							include($function->loadPHPFile('_font.php'));
						}
					}
				}				
				echo JHTML::_('sliders.end');
				$temp_js .= "});";	
			?>
		</div>
		<div class="rb-items-botton clearfix">
			<input type="button" onclick="javascript: onResetDefault(['<?php echo implode($cookies, '\',\'');?>']);" value="Reset" class="rb-reset"  />
		</div>
		<!--<a id="option_btn_close">X</a>-->
	</div>
</div>
<div id="option_btn" class="hidden-phone hidden-tablet" style="left:0;"><span>&nbsp;</span></div>
<?php
$temp_js .= "\$ZO2.fn.mColorPicker.defaults.imageFolder = '".JURI::base()."media/com_zo2framework/images/mpicker/';
function onChange(id, val) {
	\$ZO2('#' + id).addClass(val);
	\$ZO2.cookies.set(id + '_class',val);
}
function onResetDefault(cclass) {
	\$ZO2.each(cclass, function(index, item) {
		\$ZO2.cookies.set(item, '', { expires: -1 });
	});
	window.location.reload(true);
}
\$ZO2(document).ready(function() {
	var i = 0;
	\$ZO2('#option_btn').click(function() {
		if(i%2 == 0) {
			\$ZO2('#option_wrapper').animate({left: 0}, 'slow');
			\$ZO2('#option_btn').animate({left: 350}, 'slow');
			\$ZO2('#option_btn').addClass('rb-actived');
			\$ZO2('#option_btn').removeClass('rb-normal');
		}
		else {
			\$ZO2('#option_wrapper').animate({left: -355}, 'nomal');
			\$ZO2('#option_btn').animate({left: 0}, 'nomal');
			\$ZO2('#option_btn').addClass('rb-normal');
			\$ZO2('#option_btn').removeClass('rb-actived');
		}
		i++;
	});	
});";
$document->addScriptDeclaration($temp_js);
endif;
?>